> ## Documentation Index
> Fetch the complete documentation index at: https://docs.membrane.agency/llms.txt
> Use this file to discover all available pages before exploring further.

# list-external-apps

> Search for existing apps by name or key. Use this to find a public app before creating a new one.



## OpenAPI

````yaml /api-reference/membrane-api.json get /external-apps
openapi: 3.0.0
info:
  title: Membrane API
  description: API documentation for Membrane Engine
  version: '1.0'
  contact: {}
servers:
  - url: https://api.getmembrane.com
security:
  - bearer: []
tags: []
paths:
  /external-apps:
    get:
      summary: list-external-apps
      description: >-
        Search for existing apps by name or key. Use this to find a public app
        before creating a new one.
      operationId: listExternalApps
      parameters:
        - name: limit
          in: query
          required: false
          schema:
            description: Maximum number of items to return (1-1000)
            type: integer
            minimum: 1
            maximum: 1000
        - name: cursor
          in: query
          required: false
          schema:
            description: Pagination cursor from a previous response
            type: string
        - name: includeArchived
          in: query
          required: false
          schema:
            type: boolean
        - name: search
          in: query
          required: false
          schema:
            type: string
        - name: category
          in: query
          required: false
          schema:
            type: string
      responses:
        '200':
          description: >-
            Search for existing apps by name or key. Use this to find a public
            app before creating a new one.
          content:
            application/json:
              schema:
                type: object
                properties:
                  items:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        key:
                          type: string
                        uuid:
                          type: string
                        name:
                          type: string
                        isReadOnly:
                          type: boolean
                        isPublic:
                          type: boolean
                      required:
                        - id
                        - key
                        - name
                      additionalProperties: {}
                  cursor:
                    type: string
                required:
                  - items
                additionalProperties: false
components:
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````